VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ProtectedSubmitInfo (Bool32 protectedSubmit_=0)
| ProtectedSubmitInfo (VkProtectedSubmitInfo const &rhs)
ProtectedSubmitInfo & | operator= (VkProtectedSubmitInfo const &rhs)
ProtectedSubmitInfo & | setPNext (const void *pNext_)
ProtectedSubmitInfo & | setProtectedSubmit (Bool32 protectedSubmit_)
| operator VkProtectedSubmitInfo const & () const
| operator VkProtectedSubmitInfo & ()
bool | operator== (ProtectedSubmitInfo const &rhs) const
bool | operator!= (ProtectedSubmitInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
Bool32 | protectedSubmit

## Private Attributes

StructureType | sType = StructureType::eProtectedSubmitInfo

## Detailed Description

Definition at line 16407 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ProtectedSubmitInfo() [1/2]

VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::ProtectedSubmitInfo | ( | Bool32 | protectedSubmit_ = `0` | ) |

inline

Definition at line 16409 of file vulkan.hpp.

: protectedSubmit( protectedSubmit_ )
{
}

## ProtectedSubmitInfo() [2/2]

VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::ProtectedSubmitInfo | ( | VkProtectedSubmitInfo const & | rhs | ) |

inline

Definition at line 16414 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ProtectedSubmitInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkProtectedSubmitInfo &()

VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::operator VkProtectedSubmitInfo & | ( |  | ) |

inline

Definition at line 16441 of file vulkan.hpp.

{
return *reinterpret_cast<VkProtectedSubmitInfo*>(this);
}

## operator VkProtectedSubmitInfo const &()

VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::operator VkProtectedSubmitInfo const & | ( |  | ) | const

inline

Definition at line 16436 of file vulkan.hpp.

{
return *reinterpret_cast<const VkProtectedSubmitInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::operator!= | ( | ProtectedSubmitInfo const & | rhs | ) | const

inline

Definition at line 16453 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ProtectedSubmitInfo& VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::operator= | ( | VkProtectedSubmitInfo const & | rhs | ) |

inline

Definition at line 16419 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ProtectedSubmitInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::operator== | ( | ProtectedSubmitInfo const & | rhs | ) | const

inline

Definition at line 16446 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( protectedSubmit == rhs.protectedSubmit );
}

References pNext, protectedSubmit, and sType.

Referenced by operator!=().

## setPNext()

ProtectedSubmitInfo& VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 16424 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setProtectedSubmit()

ProtectedSubmitInfo& VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::setProtectedSubmit | ( | Bool32 | protectedSubmit_ | ) |

inline

Definition at line 16430 of file vulkan.hpp.

{
protectedSubmit = protectedSubmit_;
return *this;
}

References protectedSubmit.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::pNext = nullptr

Definition at line 16462 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## protectedSubmit

Bool32 VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::protectedSubmit

Definition at line 16463 of file vulkan.hpp.

Referenced by operator==(), and setProtectedSubmit().

## sType

StructureType VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::sType = StructureType::eProtectedSubmitInfo

private

Definition at line 16459 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::sType
StructureType sType
Definition: vulkan.hpp:16459
VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::operator==
bool operator==(ProtectedSubmitInfo const &rhs) const
Definition: vulkan.hpp:16446
VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::pNext
const void * pNext
Definition: vulkan.hpp:16462
VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::ProtectedSubmitInfo
ProtectedSubmitInfo(Bool32 protectedSubmit_=0)
Definition: vulkan.hpp:16409
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ProtectedSubmitInfo::protectedSubmit
Bool32 protectedSubmit
Definition: vulkan.hpp:16463
VkProtectedSubmitInfo
Definition: vulkan_core.h:4298